.topMenuModalContainer {
  background-color: var(--color-white);
  width: 200px;
  border: 1px solid var(--color-primary);
  position: absolute;
  top: 100%;
  right: -30px;
  box-shadow: 0 4px 5px 0 rgba(0,0,0,.04);
  transform: scale(1);
  transform-origin: top right;
  transition: transform .25s ease;
  z-index: 10;
  outline: 0;
}

.topMenuModalContainer::before{
  content: ' ';
  display: block;
  width: 10px;
  height: 10px;
  position: absolute;
  top: -1px;
  right: 30px;
  transform: translateY(-50%) rotate(45deg);
  background-color: var(--color-white);
  border-left: 1px solid var(--color-primary);
  border-top: 1px solid var(--color-primary);
  z-index: -1;
}

.topMenuModalContainer.hidden {
  transform: scale(0);
}

.topMenuModalContainer .navContainer {
   list-style: none;
   padding: 0;
   margin: 5px;
 }

 .topMenuModalContainer .navContainer hr {
  border-color: var(--color-primary-opacity);
  margin: 5px 10px;
 }

.topMenuModalContainer .navContainer .navItem {
   padding: 5px 10px;
   vertical-align: middle;
   display: flex;
   flex-direction: row;
   cursor: pointer;
   transition: 0.3s;
 }
.topMenuModalContainer .navContainer .navItem:hover{
  background-color: var(--color-primary-opacity);
}
.topMenuModalContainer .navContainer .navItem .navText {
   color: var(--color-gray);
   font-weight: 500;
   font-size: var(--font-size-text);
   padding-left: 8px;
 }
.topMenuModalContainer .navContainer .navItem .navIcon {
   width: 25px;
   justify-content: center;
   display: flex;
 }
 